﻿/**Begin D:\dev\tools\PDM_UPGRADE\pdm1\HRIC_constraint.sql **/
 EXEC P_ALTERPK 'PK_HRIC_DELORGEN', 'T_HRIC_DELORGEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DELORGEN' AND KSQL_INDNAME = 'IDX_HRIC_DELORGEN') CREATE INDEX IDX_HRIC_DELORGEN ON T_HRIC_DELORGEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_MODLEAVEDEN', 'T_HRIC_MODLEAVEDEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_MODLEAVEDEN' AND KSQL_INDNAME = 'IDX_HRIC_MODLEAVEDEN') CREATE INDEX IDX_HRIC_MODLEAVEDEN ON T_HRIC_MODLEAVEDEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_DATAFIXTOOL', 'T_HRIC_DATAFIXTOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXTOOL' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXTOOL_NUM') CREATE INDEX IDX_HRIC_DATAFIXTOOL_NUM ON T_HRIC_DATAFIXTOOL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXTOOL' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXTOOL_VER') CREATE INDEX IDX_HRIC_DATAFIXTOOL_VER ON T_HRIC_DATAFIXTOOL ( FBAKVER );


 EXEC P_ALTERPK 'PK_HRIC_DELPOSTEN', 'T_HRIC_DELPOSTEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DELPOSTEN' AND KSQL_INDNAME = 'IDX_HRIC_DELPOSTEN') CREATE INDEX IDX_HRIC_DELPOSTEN ON T_HRIC_DELPOSTEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_DATAFIXTOOL_L', 'T_HRIC_DATAFIXTOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXTOOL_L' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXTOOL_L') CREATE INDEX IDX_HRIC_DATAFIXTOOL_L ON T_HRIC_DATAFIXTOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRIC_MODIFIORGFBEN', 'T_HRIC_MODIFIORGFBEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_MODIFIORGFBEN' AND KSQL_INDNAME = 'IDX_HRIC_MODIFIORGFBEN') CREATE INDEX IDX_HRIC_MODIFIORGFBEN ON T_HRIC_MODIFIORGFBEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_MODEMPPDEN', 'T_HRIC_MODEMPPDEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_MODEMPPDEN' AND KSQL_INDNAME = 'IDX_HRIC_MODEMPPDEN') CREATE INDEX IDX_HRIC_MODEMPPDEN ON T_HRIC_MODEMPPDEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_MODEMPPTEN', 'T_HRIC_MODEMPPTEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_MODEMPPTEN' AND KSQL_INDNAME = 'IDX_HRIC_MODEMPPTEN') CREATE INDEX IDX_HRIC_MODEMPPTEN ON T_HRIC_MODEMPPTEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_OVERALLREL', 'T_HRIC_OVERALLREL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_OVERALLREL' AND KSQL_INDNAME = 'IDX_HRIC_OVERALLREL') CREATE INDEX IDX_HRIC_OVERALLREL ON T_HRIC_OVERALLREL ( FID );


 EXEC P_ALTERPK 'PK_HRIC_DATAFIXSCENE', 'T_HRIC_DATAFIXSCENE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXSCENE' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXSCENE_NUM') CREATE INDEX IDX_HRIC_DATAFIXSCENE_NUM ON T_HRIC_DATAFIXSCENE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HRIC_DATAFIXEXEEN', 'T_HRIC_DATAFIXEXEEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXEXEEN' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXEXEEN') CREATE INDEX IDX_HRIC_DATAFIXEXEEN ON T_HRIC_DATAFIXEXEEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_DATAFIXSCENE_L', 'T_HRIC_DATAFIXSCENE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXSCENE_L' AND KSQL_INDNAME = 'IDX_HRIC_DATAFIXSCENE_L') CREATE INDEX IDX_HRIC_DATAFIXSCENE_L ON T_HRIC_DATAFIXSCENE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HRIC_SQLGENREC', 'T_HRIC_SQLGENREC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_SQLGENREC' AND KSQL_INDNAME = 'IDX_HRIC_SQLGENREC_NUM') CREATE INDEX IDX_HRIC_SQLGENREC_NUM ON T_HRIC_SQLGENREC ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_SQLGENREC' AND KSQL_INDNAME = 'IDX_HRIC_SQLGENREC_VER') CREATE INDEX IDX_HRIC_SQLGENREC_VER ON T_HRIC_SQLGENREC ( FDATAVERSION );


 EXEC P_ALTERPK 'PK_HRIC_SQLGENRECEN', 'T_HRIC_SQLGENRECEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_SQLGENRECEN' AND KSQL_INDNAME = 'IDX_HRIC_SQLGENRECEN') CREATE INDEX IDX_HRIC_SQLGENRECEN ON T_HRIC_SQLGENRECEN ( FID );


 EXEC P_ALTERPK 'PK_HRIC_MODOFSTDATE', 'T_HRIC_MODOFSTDATE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HRIC_MODOFSTDATE' AND KSQL_INDNAME = 'IDX_HRIC_MODOFSTDATE') CREATE INDEX IDX_HRIC_MODOFSTDATE ON T_HRIC_MODOFSTDATE ( FID );



/**End D:\dev\tools\PDM_UPGRADE\pdm1\HRIC_constraint.sql **/
