﻿/**Begin D:\dev\tools\PDM_UPGRADE\pdm1\HRIC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DELORGEN')
 CREATE TABLE T_HRIC_DELORGEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MODLEAVEDEN')
 CREATE TABLE T_HRIC_MODLEAVEDEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FOLDLABORRELATIONEND DATETIME,
FNEWLABORRELATIONEND DATETIME,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXTOOL')
 CREATE TABLE T_HRIC_DATAFIXTOOL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIXSCENEID BIGINT DEFAULT 0 NOT NULL,
FPROMPT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FBAKVER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FFAIREASON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DELPOSTEN')
 CREATE TABLE T_HRIC_DELPOSTEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOSTID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXTOOL_L')
 CREATE TABLE T_HRIC_DATAFIXTOOL_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROMPT NVARCHAR(1500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MODIFIORGFBEN')
 CREATE TABLE T_HRIC_MODIFIORGFBEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEARLIESTEFFECTDATE DATETIME,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MODEMPPDEN')
 CREATE TABLE T_HRIC_MODEMPPDEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOSTID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSTID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FELMTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FNEWPOSTID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MODEMPPTEN')
 CREATE TABLE T_HRIC_MODEMPPTEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FELMTYPEID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSTID BIGINT DEFAULT 0 NOT NULL,
FPOSTID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FNEWOFFENDDATE DATETIME,
FNEWOFFSTARTDATE DATETIME,
FENDDATE DATETIME,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_OVERALLREL')
 CREATE TABLE T_HRIC_OVERALLREL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELTABLE VARCHAR(60) DEFAULT ' ' NOT NULL,
FDBROUTEKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELFIELDS VARCHAR(255) DEFAULT ' ' NOT NULL,
FWHERESQL VARCHAR(500) DEFAULT ' ' NOT NULL,
FFILTERFIELD VARCHAR(500) DEFAULT ' ' NOT NULL,
FCOMPLEXREL VARCHAR(500) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXSCENE')
 CREATE TABLE T_HRIC_DATAFIXSCENE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FCLOUDID BIGINT DEFAULT 0 NOT NULL,
FPROMPT NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXEXEEN')
 CREATE TABLE T_HRIC_DATAFIXEXEEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXESQL VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXESQL_TAG NCLOB,
FEXEDBROUTEKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXEIDX INT DEFAULT 0 NOT NULL,
FFIXRWHERESQL VARCHAR(500) DEFAULT ' ' NOT NULL,
FRELEXEDBROUTEKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLEDESC VARCHAR(500) DEFAULT ' ' NOT NULL,
FTABLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_DATAFIXSCENE_L')
 CREATE TABLE T_HRIC_DATAFIXSCENE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(1500) DEFAULT ' ' NOT NULL,
FPROMPT NVARCHAR(1500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_SQLGENREC')
 CREATE TABLE T_HRIC_SQLGENREC (
FID BIGINT DEFAULT 0 NOT NULL,
FDATEFIXTOOLID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAVERSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCENENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FNODATADESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL,
FRELQUERYSQL_TAG NCLOB,
FRELQUERYSQL NCLOB,
FCROSSDB CHAR(1) DEFAULT '0' NOT NULL,
FHASGLOBALDATA CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_SQLGENRECEN')
 CREATE TABLE T_HRIC_SQLGENRECEN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTABLENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDBROUTEKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBAKSQL NCLOB,
FBAKSQL_TAG NCLOB,
FQUERYSQL NCLOB,
FQUERYSQL_TAG NCLOB,
FEXESQL NCLOB,
FEXESQL_TAG NCLOB,
FID BIGINT DEFAULT 0 NOT NULL,
FRELEXEDBROUTEKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRIC_MODOFSTDATE')
 CREATE TABLE T_HRIC_MODOFSTDATE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FNEWEMPSTARTDATE DATETIME,
FOFFICESTARTDATE DATETIME,
FEMPSTARTDATE DATETIME,
FEMPRELSTAGEID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\dev\tools\PDM_UPGRADE\pdm1\HRIC_table.sql **/
